%global _empty_manifest_terminate_build 0
Name:		python-path
Version:	16.7.1
Release:	1
Summary:	Python module wrapper for path
License:	MIT
URL:		https://github.com/jaraco/path
Source0:	https://files.pythonhosted.org/packages/5b/ea/bf8061e92cd3a8aa0c064f3c24105f0f8505720de86872a9fdac93fd27f7/path-16.7.1.tar.gz
BuildArch:	noarch

BuildRequires:	python3-pip  python3-hatchling python3-hatch-vcs python3-wheel

%description
This package implements path objects as first-class entities,
allowing common operations on files to be invoked on those path objects directly.

%package -n python3-path
Summary:	Python module wrapper for path
Provides:	python-path = %{version}-%{release}
BuildRequires:	python3-devel 
BuildRequires:	python3-setuptools 
BuildRequires:	python3-pytest 
BUildRequires:	python3-setuptools_scm
%description -n python3-path
This package implements path objects as first-class entities,
allowing common operations on files to be invoked on those path objects directly.

%package help
Summary:	Development documents and examples for path
Provides:	python3-path-doc
%description help
This package implements path objects as first-class entities,
allowing common operations on files to be invoked on those path objects directly.

%prep
%autosetup -p1 -n path-%{version}

%build
%pyproject_build

%install
%pyproject_install path==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%check
/usr/bin/pytest

%files -n python3-path
%{python3_sitelib}/path*

%files help
%{_docdir}/*

%changelog
* Thu Jul 27 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 16.7.1-1
- Update package to version 16.7.1

* Wed Apr 26 2023 xu_ping <707078654@qq.com> - 16.6.0-2
- Adapting to the pyproject.toml compilation mode

* Fri Dec 16 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 16.6.0-1
- Update package to version 16.6.0

* Tue Nov 22 2022 wangjunqi <wangjunqi@kylinos.cn> - 16.5.0-1
- Update package to version 16.5.0

* Tue Aug 09 2022 liqiuyu <liqiuyu@kylinos.cn> - 16.4.0-1
- Update to 16.4.0

* Thu Jun 30 2022 caodongxia <caodongxia@h-partners.com> - 16.3.0-1
- Update to 16.3.0

* Mon Sep 27 2021 lingsheng <lingsheng@huawei.com> - 5.2-18
- Provides python-path for compatibility

* Sat Jan 9 2021 wutao <wutao61@huawei.com> 5.2-17
- fix test failures adpating to pytest

* Wed Oct 21 2020 wangxiao <wangxiao65@huawei.com> - 5.2-16
- drop python2 subpackage

* Wed Mar 4 2020 zhujunhao <zhujunhao5@huawei.com> - 5.2-15
- Package init
